std::future< _Res & > Class Template Reference
Concurrency » Futures
Inheritance diagram for std::future< _Res & >:
[legend]

## Public Types

template<typename _Res >
using | _Ptr = unique_ptr< _Res, _Result_base::_Deleter >
using | _State_base = _State_baseV2

## Public Member Functions

| future (const future &)=delete
| future (future &&__uf) noexcept
_Res & | get ()
future & | operator= (const future &)=delete
future & | operator= (future &&__fut) noexcept
shared_future< _Res & > | share () noexcept
bool | valid () const noexcept
void | wait () const
future_status | wait_for (const chrono::duration< _Rep, _Period > &__rel) const
future_status | wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

## Static Public Member Functions

template<typename _Res , typename _Allocator >
static _Ptr< _Result_alloc< _Res, _Allocator > > | _S_allocate_result (const _Allocator &__a)
template<typename _Res , typename _Tp >
static _Ptr< _Result< _Res > > | _S_allocate_result (const std::allocator< _Tp > &__a)
template<typename _BoundFn >
static std::shared_ptr< _State_base > | _S_make_async_state (_BoundFn &&__fn)
template<typename _BoundFn >
static std::shared_ptr< _State_base > | _S_make_deferred_state (_BoundFn &&__fn)
template<typename _Res_ptr , typename _BoundFn >
static _Task_setter< _Res_ptr, _BoundFn > | _S_task_setter (_Res_ptr &__ptr, _BoundFn &__call)

## Protected Types

typedef __future_base::_Result< _Res & > & | __result_type

## Protected Member Functions

__result_type | _M_get_result () const
void | _M_swap (__basic_future &__that) noexcept

## Friends

template<typename _Fn , typename... _Args>
future< __async_result_of< _Fn, _Args... > > | async (launch, _Fn &&, _Args &&...)
template<typename >
class | packaged_task
class | promise< _Res & >

## Detailed Description

### template<typename _Res>
class std::future< _Res & >

Partial specialization for future<R&>

Definition at line 804 of file future.

## Member Function Documentation

## _M_get_result()

__result_type std::__basic_future< _Res & >::_M_get_result

inline protected inherited

Wait for the state to be ready and rethrow any stored exception.

Definition at line 714 of file future.

The documentation for this class was generated from the following file:

- future